# ComponentSpec

API Documentation: | `ComponentSpec`

Known Subtypes: |
`NativeComponentSpec`
`VariantComponentSpec`

Note: This class is incubating and may change in a future version of Gradle.

A software component that is built by Gradle.

### Properties

Property | Description
`displayName` | Incubating Returns a human-consumable display name for this element.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `String` `displayName` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Returns a human-consumable display name for this element.